API server
https://app.coolify.io/api/v1Create or replace the backup schedule for an application persistent volume or directory storage.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
UUID of the application.
storage_uuid*string
UUID of the persistent volume or directory storage.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
frequency*string
Length
length <= 255enabled?boolean
Default
truesave_s3?boolean
Default
falsedisable_local_backup?boolean
Default
falsestop_during_backup?boolean
Default
falses3_storage_uuid?string|null
retention_amount_locally?integer
Default
7Range
0 <= value <= 10000retention_days_locally?integer
Default
0Range
0 <= value <= 2147483647retention_max_storage_locally?number
Default
0Format
floatRange
0 <= value <= 9999999999retention_amount_s3?integer
Default
7Range
0 <= value <= 10000retention_days_s3?integer
Default
0Range
0 <= value <= 2147483647retention_max_storage_s3?number
Default
0Format
floatRange
0 <= value <= 9999999999timeout?integer
Default
3600Range
60 <= value <= 36000Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://app.coolify.io/api/v1/applications/string/storages/string/backups" \ -H "Content-Type: application/json" \ -d '{ "frequency": "0 2 * * *" }'{ "uuid": "string", "message": "string", "storage_uuid": "string", "storage_type": "persistent", "frequency": "string", "enabled": true, "save_s3": true, "disable_local_backup": true, "stop_during_backup": true, "s3_storage_uuid": "string", "retention_amount_locally": 0, "retention_days_locally": 0, "retention_max_storage_locally": 0.1, "retention_amount_s3": 0, "retention_days_s3": 0, "retention_max_storage_s3": 0.1, "timeout": 0}{ "uuid": "string", "message": "string", "storage_uuid": "string", "storage_type": "persistent", "frequency": "string", "enabled": true, "save_s3": true, "disable_local_backup": true, "stop_during_backup": true, "s3_storage_uuid": "string", "retention_amount_locally": 0, "retention_days_locally": 0, "retention_max_storage_locally": 0.1, "retention_amount_s3": 0, "retention_days_s3": 0, "retention_max_storage_s3": 0.1, "timeout": 0}{ "message": "Invalid token."}{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}